get
https://api.figment.io/ethereum/validators
Returns all Figment validators, or a filtered subset thereof, for your organization (via API key) created through the Create Validators endpoint.
Use the get-validator endpoint if you only want information on one single validator.
Use include_fields to get extra information. e.g. To get the presigned exit messages for the validators, append ?include_fields=exit_message.
A few noteworthy response fields:
status: refer to the Lifecycle of a Validator guidestatus_historyreturns an array of all status transitions.- estimates for:
- when a validator will become active (
estimated_active_at) - when it will exit (
estimated_exit_at) - and when the principal will be withdrawable (
estimated_withdrawal_at)
- when a validator will become active (
Note: If you are restaking via Eigenlayer, your withdrawal address is set to your EigenPod address.
401Invalid API key
